INTERFACE
SUBROUTINE GEMS_INIT_TL( KIDIA, KFDIA, KLEV, KLON, KTRAC,&
 & PLRCH4, PGFL, PTENGFL, PCEN, PTENC, PCFLX ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOM_YGFL , ONLY : NAERO, NGHG, NGRG, YGRG,&
 & YGHG, YAERO, YGFL 
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
REAL(KIND=JPRB), INTENT(IN) :: PGFL(KLON,KLEV,YGFL%NDIM), PTENGFL(KLON,KLEV,YGFL%NDIM1)
REAL(KIND=JPRB), POINTER :: PCEN(:,:,:),PTENC(:,:,:),PCFLX(:,:)
REAL(KIND=JPRB), INTENT(IN) :: PLRCH4(KLON,KLEV)
INTEGER(KIND=JPIM), INTENT(IN) :: KTRAC
END SUBROUTINE GEMS_INIT_TL
END INTERFACE
